__  __    __   __  _____      _            _          _____ _          _ _ 
 |  \/  |   \ \ / / |  __ \    (_)          | |        / ____| |        | | |
 | \  / |_ __\ V /  | |__) | __ ___   ____ _| |_ ___  | (___ | |__   ___| | |
 | |\/| | '__|> <   |  ___/ '__| \ \ / / _` | __/ _ \  \___ \| '_ \ / _ \ | |
 | |  | | |_ / . \  | |   | |  | |\ V / (_| | ||  __/  ____) | | | |  __/ | |
 |_|  |_|_(_)_/ \_\ |_|   |_|  |_| \_/ \__,_|\__\___| |_____/|_| |_|\___V 2.1
 if you need WebShell for Seo everyday contact me on Telegram
 Telegram Address : @jackleet
        
        
For_More_Tools: Telegram: @jackleet | Bulk Smtp support mail sender | Business Mail Collector | Mail Bouncer All Mail | Bulk Office Mail Validator | Html Letter private



Upload:

Command:

[email protected]: ~ $
#!/bin/bash
# SPDX-License-Identifier: GPL-2.0
#
# add private ipv4 and ipv6 addresses to loopback

readonly V6_INNER='100::a/128'
readonly V4_INNER='192.168.0.1/32'

if getopts ":s" opt; then
  readonly SIT_DEV_NAME='sixtofourtest0'
  readonly V6_SIT='2::/64'
  readonly V4_SIT='172.17.0.1/32'
  shift
fi

fail() {
  echo "error: $*" 1>&2
  exit 1
}

setup() {
  ip -6 addr add "${V6_INNER}" dev lo || fail 'failed to setup v6 address'
  ip -4 addr add "${V4_INNER}" dev lo || fail 'failed to setup v4 address'

  if [[ -n "${V6_SIT}" ]]; then
    ip link add "${SIT_DEV_NAME}" type sit remote any local any \
	    || fail 'failed to add sit'
    ip link set dev "${SIT_DEV_NAME}" up \
	    || fail 'failed to bring sit device up'
    ip -6 addr add "${V6_SIT}" dev "${SIT_DEV_NAME}" \
	    || fail 'failed to setup v6 SIT address'
    ip -4 addr add "${V4_SIT}" dev "${SIT_DEV_NAME}" \
	    || fail 'failed to setup v4 SIT address'
  fi

  sleep 2	# avoid race causing bind to fail
}

cleanup() {
  if [[ -n "${V6_SIT}" ]]; then
    ip -4 addr del "${V4_SIT}" dev "${SIT_DEV_NAME}"
    ip -6 addr del "${V6_SIT}" dev "${SIT_DEV_NAME}"
    ip link del "${SIT_DEV_NAME}"
  fi

  ip -4 addr del "${V4_INNER}" dev lo
  ip -6 addr del "${V6_INNER}" dev lo
}

trap cleanup EXIT

setup
"$@"
exit "$?"

Filemanager

Name Type Size Permission Actions
benchs Folder 0755
test_kmods Folder 0755
Makefile File 33.38 KB 0644
Makefile.docs File 2.15 KB 0644
ima_setup.sh File 3.26 KB 0755
test_bpftool.sh File 415 B 0755
test_bpftool_build.sh File 3.9 KB 0755
test_bpftool_metadata.sh File 1.63 KB 0755
test_doc_build.sh File 638 B 0755
test_ftrace.sh File 786 B 0755
test_kmod.sh File 1.46 KB 0755
test_lirc_mode2.sh File 764 B 0755
test_lwt_ip_encap.sh File 14.55 KB 0755
test_lwt_seg6local.sh File 6.11 KB 0755
test_tc_edt.sh File 2.75 KB 0755
test_tc_tunnel.sh File 7.82 KB 0755
test_tunnel.sh File 14.26 KB 0755
test_xdp_features.sh File 2.5 KB 0755
test_xdp_redirect_multi.sh File 6.18 KB 0755
test_xdp_vlan.sh File 5.89 KB 0755
test_xdp_vlan_mode_generic.sh File 186 B 0755
test_xdp_vlan_mode_native.sh File 180 B 0755
test_xdping.sh File 2.12 KB 0755
test_xsk.sh File 5.31 KB 0755
verify_sig_setup.sh File 2.73 KB 0755
vmtest.sh File 11.19 KB 0755
with_addr.sh File 1.27 KB 0755
with_tunnels.sh File 693 B 0755
xsk_prereqs.sh File 1.48 KB 0755
Filemanager